Bug 1340650

Summary: SRPM builds submitted from CLI fail: "invalid request"
Product: [Community] Copr Reporter: Fabio Valentini <decathorpe>
Component: cliAssignee: clime
Status: CLOSED ERRATA QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: bugzilla, clime, fedora, nalimilan, sergey.avseyev
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-05 17:19:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Fabio Valentini 2016-05-29 16:21:54 UTC
When trying to upload SRPM packages with copr-cli, I get the following error message:

  Something went wrong:
  Error: Invalid request: bad request parameters: {'source_type': [u'Invalid value, must be one of: srpm_upload.']}

The command I am using is a standard
  copr-cli build MYREPO --nowait MYSRPM
with a local package. Upload seems to succeed, processing seems to fail.

This seems to have started about two days ago (~ May 27). I have not been able to submit builds since.

Comment 1 clime 2016-05-30 12:43:05 UTC
You need to update your copr-cli client that works with the current COPR release. 

You can get the latest copr-cli release from https://copr.fedorainfracloud.org/coprs/g/copr/copr/.

Comment 2 Miroslav Suchý 2016-05-30 12:53:55 UTC
Please upgrade to python-copr and copr-cli in updates-testing
https://bodhi.fedoraproject.org/updates/FEDORA-2016-5673a5a6a6
https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3549586cc

Comment 3 Miroslav Suchý 2016-05-30 12:55:15 UTC
*** Bug 1340526 has been marked as a duplicate of this bug. ***

Comment 4 Remi Collet 2016-05-30 13:03:02 UTC
Not fixed:


$ rpm -q copr-cli python-copr
copr-cli-1.51-1.el6.noarch
python-copr-1.69-1.el6.noarch


$ copr-cli build --nowait    qelectrotech    http://remi.famillecollet.com/qelectrotech-0.51-0.6.svn4535.el6.src.rpm 

Something went wrong:
Error: Invalid request: bad request parameters: {'source_type': [u'Invalid value, must be one of: srpm_link.']}

Comment 5 Fedora Update System 2016-05-30 14:59:25 UTC
python-copr-1.70-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-769b258a92

Comment 6 Fedora Update System 2016-05-30 14:59:32 UTC
python-copr-1.70-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7531bb45d2

Comment 7 Fedora Update System 2016-05-30 14:59:39 UTC
python-copr-1.70-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-14c6d04e21

Comment 8 Fedora Update System 2016-05-30 14:59:45 UTC
python-copr-1.70-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bcc2133857

Comment 9 Fedora Update System 2016-05-30 14:59:52 UTC
python-copr-1.70-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1bfdd0d1f6

Comment 10 clime 2016-05-30 15:05:37 UTC
(In reply to Remi Collet from comment #4)
> Not fixed:
> 
> 
> $ rpm -q copr-cli python-copr
> copr-cli-1.51-1.el6.noarch
> python-copr-1.69-1.el6.noarch
> 
> 
> $ copr-cli build --nowait    qelectrotech   
> http://remi.famillecollet.com/qelectrotech-0.51-0.6.svn4535.el6.src.rpm 
> 
> Something went wrong:
> Error: Invalid request: bad request parameters: {'source_type': [u'Invalid
> value, must be one of: srpm_link.']}

The required change was left out from python-copr-1.69 by accident so we have released a new (hopefully working) version 1.70.

I am sorry for the inconvenience.

Comment 11 Remi Collet 2016-05-30 15:44:10 UTC
I confirm version 1.70 fix this issue.
Thanks.

Comment 12 Fabio Valentini 2016-05-30 21:56:14 UTC
I can confirm that it works with the newest packages in koji.
Thanks for fixing this so quickly!

Comment 13 Fedora Update System 2016-05-31 03:53:46 UTC
python-copr-1.70-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bcc2133857

Comment 14 Fedora Update System 2016-05-31 07:16:58 UTC
python-copr-1.70-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7531bb45d2

Comment 15 Fedora Update System 2016-05-31 07:20:36 UTC
python-copr-1.70-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1bfdd0d1f6

Comment 16 Fedora Update System 2016-05-31 09:53:22 UTC
python-copr-1.70-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-14c6d04e21

Comment 17 Fedora Update System 2016-05-31 10:27:40 UTC
python-copr-1.70-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-769b258a92

Comment 18 clime 2016-06-03 10:44:01 UTC
New Copr has been released.

Comment 19 Fedora Update System 2016-06-03 21:53:40 UTC
python-copr-1.70-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Sergey Avseyev 2016-06-09 14:22:40 UTC
Is it going to be released for CentOS 7.2?

Comment 21 Fedora Update System 2016-06-15 23:21:33 UTC
python-copr-1.70-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-06-18 18:54:50 UTC
python-copr-1.70-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-07-01 14:14:18 UTC
python-copr-1.72-1.el6 copr-cli-1.53-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2c82f93c94

Comment 24 Fedora Update System 2016-07-01 14:14:42 UTC
python-copr-1.72-1.el7 copr-cli-1.53-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02b2cdcf6c

Comment 25 Fedora Update System 2016-07-02 20:17:07 UTC
copr-cli-1.53-1.el6, python-copr-1.72-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2c82f93c94

Comment 26 Fedora Update System 2016-07-02 20:20:55 UTC
copr-cli-1.53-1.el7, python-copr-1.72-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02b2cdcf6c

Comment 27 Fedora Update System 2016-08-17 14:35:22 UTC
python-copr-1.73-1.el7 copr-cli-1.55-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-69e998691e

Comment 28 Fedora Update System 2016-08-17 14:36:08 UTC
python-copr-1.73-1.el6 copr-cli-1.55-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01782b9121

Comment 29 Fedora Update System 2016-08-18 04:18:46 UTC
copr-cli-1.55-1.el7, python-copr-1.73-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-69e998691e

Comment 30 Fedora Update System 2016-08-18 04:19:05 UTC
copr-cli-1.55-1.el6, python-copr-1.73-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01782b9121

Comment 31 clime 2016-08-18 16:22:47 UTC
New Copr has been released.

Comment 32 Fedora Update System 2016-09-23 10:48:47 UTC
copr-cli-1.57-1.el6, python-copr-1.74-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ac91d6a1fa

Comment 33 Fedora Update System 2016-09-28 16:20:15 UTC
copr-cli-1.57-1.el7, python-copr-1.74-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0e6ea050dd

Comment 34 Fedora Update System 2016-12-02 09:23:02 UTC
python-copr-1.75-1.el6 copr-cli-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 35 Fedora Update System 2016-12-03 11:18:41 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 36 Fedora Update System 2017-01-05 17:19:23 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.